%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name libogg
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:           mingw-libogg
Version:        1.2.2
Release:        1%{?dist}
Summary:        Cross compiled Ogg bitstream library
Group:          System Environment/Libraries
License:        BSD
URL:            http://www.xiph.org/
Source:         http://downloads.xiph.org/releases/ogg/libogg-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
Requires:       pkgconfig

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.


%prep
%setup -q -n libogg-%{version}

%build
%mingw_configure "--disable-static"
%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
# zap docs, redundant with native package
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir} $RPM_BUILD_ROOT%{mingw64_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{mingw32_bindir}/libogg*
%{mingw32_libdir}/libogg*
%{mingw32_libdir}/pkgconfig/ogg.pc
%dir %{mingw32_includedir}/ogg
%{mingw32_includedir}/ogg/ogg.h
%{mingw32_includedir}/ogg/os_types.h
%{mingw32_includedir}/ogg/config_types.h
%{mingw32_datadir}/aclocal/ogg.m4

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{mingw64_bindir}/libogg*
%{mingw64_libdir}/libogg*
%{mingw64_libdir}/pkgconfig/ogg.pc
%dir %{mingw64_includedir}/ogg
%{mingw64_includedir}/ogg/ogg.h
%{mingw64_includedir}/ogg/os_types.h
%{mingw64_includedir}/ogg/config_types.h
%{mingw64_datadir}/aclocal/ogg.m4

%changelog
* Fri May 13 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 1.2.2-1
- Updated to 1.2.2
- Updated to newer mingw instructions (with mingw64 support)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Gerd Hoffmann <kraxel@redhat.com> - 1.1.4-2
- Remove documentation.

* Mon Jul 12 2010 Gerd Hoffmann <kraxel@redhat.com> - 1.1.4-1
- Initial package.
